Новости
   1357

[СТАБИЛЬНОЕ ОБНОВЛЕНИЕ] 2019-01-23 - ЯДРА, MESA, БРАУЗЕРЫ, NVIDIA, DEEPIN, VIRTUALBOX

Новости: Manjaro KDE Edition: [СТАБИЛЬНОЕ ОБНОВЛЕНИЕ] 2017-11-12 – ЯДРА, PLASMA5, DEEPIN, CINNAMON, ЗАВЕРШЕНИЕ ПОДДЕРЖКИ 32-БИТНОЙ ВЕРСИИДоступно новое стабильное обновление.

ВАЖНО! Во избежание ошибок для этого обновления воспользуйтесь pamac upgrade --enable-downgrade или sudo pacman -Syyuu.

Кратко основные изменения:

• Обновлено большинство ядер. Учтите, что разработка linux44 приостановлена, так как ряд проприетарных драйверов не собираются под версии ядра выше 4.4.168. Также удалены linux417 и linux418. Ксли кто-то еще использет данные версии, ему придется удалить их и перейти на linux419, так как для предыдущих версий с этого момента экстрамодули компилироваться не будут.
• Некоторые обновления в Cinnamon и Deepin
• Вновь пересобраны readline и libidn2
KDE Framework отныне в версии 5.54.0
Mesa в версии 18.3.2
Palemoon достиг версии 28.3.1
• У Firefox готова 11-я бета 65-й версии
Virtualbox получил версию 6.0
Nvidia обновлен до версии 415.27
• Обновлены пакеты из основной ветки, включая python и haskell


АКТУАЛЬНЫЕ ВЕРСИИ ЯДЕР

  • linux316 3.16.62
  • linux318 3.18.132 [EOL]
  • linux44 4.4.167 [FZN]
  • linux49 4.9.151
  • linux414 4.14.94
  • linux419 4.19.16
  • linux420 4.20.3
  • linux414-rt 4.14.93_rt53
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.16_rt9

15 комментариев

avatar
Обновился, полет нормальный.
0
avatar
таки пришлось даунгрейднуть systemd на 239.6-4, т.к. 239.3XX-X не доделали под libidn2, и при обновлении ошибки высветились:
ERROR: binary dependency `libidn2.so.0' not found for `/usr/lib/systemd/systemd-udevd'
ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/udevadm'
ERROR: binary dependency `libidn2.so.0' not found for `/usr/bin/systemd-tmpfiles'
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
решает sudo pacman -Syyuu
0
avatar
Кстати, там в тестовой ветке кто-то уже на версии 240.х сидит, и им норм, обновление без проблем с libidn2.
0
avatar
Проблема не в версии systemd, а в том, с какими библиотеками она слинкована. У тебя и оратора ниже стояли системд, которые не в core, а новее, соответственно который не пересобирался с новыми версиями зависимостей (в данном случае libidn2.so.4). Я надеюсь, что народ наконец поймет, что это не системд виноват.
В тестинге или анстейбле systemd 240 лежит в репе и если какая-нибудь из его зависимостей обновляется, пересобирается и сам systemd.
0
avatar
да я и не говорил, что виноват системд в этом случае. Но стало понятней.
И всё же 239.303 убрали по причине возникновения проблем с графикой или чем-то там у некоторых, хотя у меня их не было. Ждал, что вскоре его вернут в ветку или обновят, поэтому не даунгрейдил.
0
avatar
ЗЫ: теперь они что-то такое выкатили:
$ pacman -Q systemd
systemd 239.303+really+239.6-1
0
avatar
Кажется теперь Филип добавил в скрипт для этого обновления принудительный автоматический даунгрейд systemd, если установлена версия 239.3XX-X
Последний раз редактировалось
0
avatar
Пришлось откатыватся!
Проблемы c nvme (SSD) диском.
systemd-tmpfiles: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
/usr/lib/systemd/systemd-udevd: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
udevadm: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory
Пришлось грузится с Live диска. И возвращатся.

В терминале даем команду
manjaro-chroot
и состанавливаем
sudo pacman -Syyuu
0
avatar
лучше всегда смотреть выхлоп pacman после обновления перед перезагрузкой, у вас там явно ошибки были. И чрутиться не пришлось бы.
0
avatar
Согласен полностью!
Я видел ошибки но не обратил внимания. Точнее нужно было бежать и отключить ноутбук. Соответственно загрузится не смог потом.
0
avatar
Доброе утро. Написано что Nvidia обновлен до версии 415,27. А у меня до сих пор video-nvidia-390xx установлена. Оставить и не трогать пока все работает? или можно как то обновить?
0
avatar
Обычно, если работает, то лучше не трогать(выбирается лучший драйвер под каждую карту) но если хочется — запустите терминал и полное обновление системы.
sudo pacman -Syu

P.S. Какая у вас видеокарта, может быть 390 версия лучше для нее.
Последний раз редактировалось
+1
avatar
GTX 950 поставил 415.27.Система запустилась и это радует.На 390 черный экран был.
+1
avatar
в менеджере настроек manjaro-settings-manager, на вкладке драйвера, но это от карточки зависит, здесь и здесь можно найти рекомендуемый драйвер для твоей карты
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.